Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007910TestLinkTest Specificationpublic2017-04-04 10:112017-05-02 06:31
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007910: Direct Link to testcase doesn't work ON FIREFOX
DescriptionUnable to access to testcase spec with Direct Link generated by TestLink.

Steps To Reproduce1) In Test Specification, generate a direct link for a testcase
2) Click on the URL provided. Opened in a new frame in my configuration
3) Look displayed page : only TestLink header is displayed.
Additional InformationTested on last GitHub code
TagsNo tags attached.
Database (MySQL,Postgres,etc)Any
BrowserFirefox 45.0.1
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon TestCaseLink.png [^] (15,222 bytes) 2017-04-04 10:11


jpg file icon firefox.jpg [^] (37,579 bytes) 2017-04-05 08:46


jpg file icon chrome.jpg [^] (80,467 bytes) 2017-04-05 08:46


jpg file icon IE.jpg [^] (83,714 bytes) 2017-04-05 08:46

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026242)
fman (administrator)
2017-04-04 18:18

Tested on latest code in github
1) using Chrome access to test link and create test suite & test case
2) get direct link for testcase
3) open maxthon
4) past link
5) login will requested
6) after login test case is displayed => worked OK

====
7) On chrome select link and ask open on new tab => OK
full testlink screen is opened

unable to reproduce
(0026243)
fman (administrator)
2017-04-04 18:20

ALL TEST DONE on laptop => localhost
(0026245)
Mr.Bricodage (updater)
2017-04-05 08:45

Try with several browsers : Firefox must be used to reproduce.
Attached 3 rendering.
- Firefox : nothing displayed
- IE and Chrome : a empty space is present between top menu and testcase content, where no empty space is present when accessing testcase without Direct Link
(0026260)
fman (administrator)
2017-04-08 08:36

Need to check origin of empty space.
(0026273)
fman (administrator)
2017-04-15 18:19
edited on: 2017-04-15 18:26

The part of issue regarding empty space i related to missing navbar_height
(on use made contribution for ltx.php)

        $gui->navbar_height = config_get('navbar_height');

(0026274)
fman (administrator)
2017-04-15 18:27

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/e73f7d15717bb147f84d140f443d882a552a6a04 [^]

- Issue History
Date Modified Username Field Change
2017-04-04 10:11 Mr.Bricodage New Issue
2017-04-04 10:11 Mr.Bricodage File Added: TestCaseLink.png
2017-04-04 18:18 fman Note Added: 0026242
2017-04-04 18:19 fman Assigned To => fman
2017-04-04 18:19 fman Status new => feedback
2017-04-04 18:20 fman Note Added: 0026243
2017-04-05 08:45 Mr.Bricodage Note Added: 0026245
2017-04-05 08:45 Mr.Bricodage Status feedback => assigned
2017-04-05 08:46 Mr.Bricodage File Added: firefox.jpg
2017-04-05 08:46 Mr.Bricodage File Added: chrome.jpg
2017-04-05 08:46 Mr.Bricodage File Added: IE.jpg
2017-04-05 08:47 Mr.Bricodage Browser => Firefox 45.0.1
2017-04-08 08:36 fman Note Added: 0026260
2017-04-08 08:36 fman QA Team - Task Workflow Status => TBD
2017-04-08 08:36 fman Summary Direct Link to testcase doesn't work => Direct Link to testcase doesn't work ON FIREFOX
2017-04-15 18:19 fman Note Added: 0026273
2017-04-15 18:26 fman Note Edited: 0026273 View Revisions
2017-04-15 18:27 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-04-15 18:27 fman Note Added: 0026274
2017-04-15 18:27 fman Status assigned => resolved
2017-04-15 18:27 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-04-15 18:27 fman Resolution open => fixed
2017-04-15 18:27 fman Relationship added child of 0007817
2017-05-02 06:31 hughkay Note Added: 0026333
2017-05-02 06:33 hughkay Note Deleted: 0026333



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker